KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemPathList Class Reference

`from PyKDE4.kdecore import *`

Inherits: KCoreConfigSkeleton.ItemStringList → KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a path list preferences item.

## Methods
| __init__ (self, QString _group, QString _key, QStringList reference, QStringList defaultValue=QStringList())
| readConfig (self, KConfig config)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QStringList | reference,
|  | QStringList | defaultValue=QStringList()
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.writeConfig